package com.wordesign.chat.ui.console;

import com.wordesign.chat.server.*;
import java.io.IOException;
/**
 * Title:        
 * Description:  
 * Copyright:    Copyright (c) 2001
 * Company:      Zero G
 * @author Alexandre Aybes
 * @version 1.0
 */

public class ConsoleChatServer
{
	public static void main(String[] args)
	{
		int port = ChatServer.DEFAULT_PORT;
		System.out.println("Welcome to the mini chat server.");
		if (args.length < 1)
			System.out.println("You have not specified the port argument, using "+
				"default port for the server: "+ChatServer.DEFAULT_PORT);
		else
		{
			try
			{
				port = Integer.parseInt(args[0]);
			}
			catch (Exception e)
			{
				System.out.println("The port specified (first argument) is wrong "+
					"we will use the default port: "+ChatServer.DEFAULT_PORT);
			}
		}
		try
		{
		    new ChatServer(port).start();
		}
		catch (IOException ioe)
		{
			System.err.println("A fatal error occured when initializing the server"+
				ioe);
		}
	}
}